Cyberduck Mountain Duck CLI

#5841 closed defect (fixed)

Windows XP, upload, file chooser problem

Reported by: snuggles Owned by:
Priority: highest Milestone: 4.1
Component: core Version: 4.0.2
Severity: major Keywords: pathname filename
Cc: snugglesdoctor@… Architecture: Intel
Platform: Windows XP

Description (last modified by dkocher)

Running version 4.0.2 (8601) but had the same problem in previous version.

Cannot upload anything from folder other than default upload folder.

When navigating away from the default upload folder (for instance by choosing a subfolder) on local PC (WinXP) and choosing a file to upload then the upload quits saying Transfer incomplete. If that same file is then moved to the default upload folder and the upload is attempted again, it works just fine.

To me it seems that there is something wrong with the way the path and filename are handled in Cyberduck under Windows XP causing the upload to fail.

The same problem occurs in FTP, Google Docs and WebDAV (Dropbox) so it is not protocol specific nor connection specific. It seems to be the core / interface.

The problem does NOT occur under Windows Vista.

220 (vsFTPd 2.0.5)
FEAT
211-Features:
 EPRT
 EPSV
 MDTM
 PASV
 REST STREAM
 SIZE
 TVFS
211 End
USER admin
331 Please specify the password.
PASS ********
230 Login successful.
NOOP
200 NOOP ok.
STAT /data/public
213-Status follows:
drwxrwxr-x    4 501      501            30 Jan 01 00:24 .
drwxr-xr-x    4 502      501            29 Feb 25  2011 ..
drwxrwxrwx    6 501      501            65 Mar 11  2011 audio
drwxrwxrwx    5 501      501            51 Mar 11  2011 films
213 End of status
QUIT
221 Goodbye.
220 (vsFTPd 2.0.5)
FEAT
211-Features:
 EPRT
 EPSV
 MDTM
 PASV
 REST STREAM
 SIZE
 TVFS
211 End
USER admin
331 Please specify the password.
PASS ********
230 Login successful.
NOOP
200 NOOP ok.
SYST
215 UNIX Type: L8
STAT /data/public
213-Status follows:
drwxrwxr-x    4 501      501            30 Jan 01 00:24 .
drwxr-xr-x    4 502      501            29 Feb 25  2011 ..
drwxrwxrwx    6 501      501            65 Mar 11  2011 audio
drwxrwxrwx    5 501      501            51 Mar 11  2011 films
213 End of status
TYPE I
200 Switching to Binary mode.
PASV
227 Entering Passive Mode (192,168,2,108,90,8)
STOR /data/public/boekenkast.jpg
150 Ok to send data.
226 File receive OK.
NOOP
200 NOOP ok.
SITE CHMOD 644 /data/public/boekenkast.jpg
200 SITE CHMOD command ok.
QUIT
221 Goodbye.

Attachments (1)

cyberduck.log (22.7 KB) - added by snuggles on Mar 26, 2011 at 5:05:04 PM.

Download all attachments as: .zip

Change History (13)

comment:1 Changed on Mar 26, 2011 at 2:55:03 PM by snuggles

  • Description modified (diff)
  • Summary changed from still file chooser error with upload from Windows XP to Windows XP, upload, file chooser problem

comment:2 Changed on Mar 26, 2011 at 2:56:27 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Mar 26, 2011 at 2:58:31 PM by dkocher

From the description this sounds very similar to #5590 which is supposed to be fixed.

comment:4 follow-up: Changed on Mar 26, 2011 at 3:02:50 PM by dkocher

As a workaround, use drag & drop to upload files.

comment:5 follow-up: Changed on Mar 26, 2011 at 3:05:23 PM by dkocher

Please post the cyberduck.log located in AppData.

comment:6 Changed on Mar 26, 2011 at 3:07:38 PM by dkocher

  • Version changed from 4.0.1 to 4.0.2

comment:7 in reply to: ↑ 5 Changed on Mar 26, 2011 at 5:02:05 PM by snuggles

I posted the requested cyberduck.log

Last edited on Mar 26, 2011 at 5:07:31 PM by snuggles (previous) (diff)

Changed on Mar 26, 2011 at 5:05:04 PM by snuggles

comment:8 Changed on Mar 26, 2011 at 5:09:02 PM by snuggles

  • Cc snugglesdoctor@… added

comment:9 in reply to: ↑ 4 Changed on Mar 26, 2011 at 5:12:35 PM by snuggles

Replying to dkocher:

As a workaround, use drag & drop to upload files.

Unfortunately drag & drop does not work either (see ticket #5842). This is regardless of the originating folder, so the default upload folder does not work either.

comment:10 Changed on Mar 26, 2011 at 5:43:29 PM by dkocher

  • Milestone changed from 4.1 to 4.0.3

comment:11 Changed on May 29, 2011 at 4:00:55 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

Workaround in r8722.

comment:12 Changed on Jun 2, 2011 at 3:37:46 PM by dkocher

  • Milestone changed from 4.0.3 to 4.1

Milestone 4.0.3 deleted

Note: See TracTickets for help on using tickets.
swiss made software